%define rel	12

Summary:	GhostView and ImageMagick GUI for PDF/PS files
Name:		kpdftool
Version:	0.23.1
Release:	%mkrel %{rel}
License:	GPL+
Group:		Publishing
URL:		http://www.kde-apps.org/content/show.php?content=33194
Source:		http://kde-apps.org/CONTENT/content-files/33194-kpdftool-%{version}.zip
BuildRequires:	qt4-devel
Recommends:	imagemagick
Recommends:	ghostscript

%description
KPDFTool is a GUI interface for GhostView and ImageMagick
for performing basic and useful operations with PDF and
PS (PostScript) files such as merge, extract pages and
protect the text into new files in a simple and practical way.

%prep
%setup -q

%build
%qmake_qt4
%make_build 

%install
install -d -m755 %{buildroot}%{_bindir}
install -m755 kpdftool %{buildroot}%{_bindir}

install -d -m755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/kpdftool.desktop << EOF
[Desktop Entry]
Name=KPDFTool
Comment=Operate on PDF files
Exec=%{_bindir}/kpdftool
Icon=publishing_section
Terminal=false
Type=Application
Categories=Office;Publishing;KDE;Qt;
EOF

%files
%doc README
%{_bindir}/kpdftool
%{_datadir}/applications/kpdftool.desktop


%changelog
* Sun Apr 03 2022 umeabot <umeabot> 0.23.1-12.mga9
+ Revision: 1841471
- Mageia 9 Mass Rebuild

* Wed Dec 30 2020 tmb <tmb> 0.23.1-11.mga8
+ Revision: 1665431
- rebuild with new qt4

* Thu Feb 13 2020 umeabot <umeabot> 0.23.1-10.mga8
+ Revision: 1513755
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.23.1-9.mga7
+ Revision: 1298632
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.23.1-8.mga6
+ Revision: 943127
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.23.1-7.mga5
+ Revision: 749612
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.23.1-6.mga5
+ Revision: 681182
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.23.1-5.mga4
+ Revision: 506738
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.23.1-4.mga3
+ Revision: 356450
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 28 2012 fwang <fwang> 0.23.1-3.mga3
+ Revision: 310902
- use qmake macro
- do not promote kword, as it does not like calligra-words

* Sun Oct 28 2012 malo <malo> 0.23.1-2.mga3
+ Revision: 310897
- spec clean-up
- fix RPM group

* Fri Sep 07 2012 fwang <fwang> 0.23.1-1.mga3
+ Revision: 289120
- new version 0.23.1

* Thu Jul 07 2011 spuhler <spuhler> 0.23-1.mga2
+ Revision: 119639
- imported package kpdftool

